::-webkit-scrollbar{
    width:5px;
}
::-webkit-scrollbar-track{
    background:#f1f1f1;
    border-radius:10px;
}
::-webkit-scrollbar-thumb{
    background:#888;
    border-radius:30px;
}
::-webkit-scrollbar-thumb:hover{
    background:#555;
}
html {
scroll-behavior: smooth;
}
body{
    padding: 0;
    margin: 0;
    height: auto;
    width: 100vw;
    cursor: default;
    display: grid;
    align-items: center;
    overflow-x: hidden;
    background: #fff;
    transition: background-color 0.3s ease;
    justify-content: center;
    box-sizing: content-box;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}
body.light-theme{
    background: #ffffff;
}
body.dark-theme{
    background:#000;
}
a{
    text-decoration: none;
    align-self: center;
}
.container{
    display: grid;
    align-items: center;
    width: 95vw;
}
.top{
    display: flex;
    top: 0;
    position: sticky;
    justify-content: space-between;
    padding-top: 3vh;
}
.robot{
    gap: 1px;
    display: flex;
    align-items: center;

}
.history{
    display: grid;
    align-items: center;
    gap: 3px;
}
#bot{
    cursor: pointer;
    mix-blend-mode: multiply;
    z-index:10;
}
#bot:hover{
    transition: .8s ease-in-out;
    scale: 1.5;
}
#log{
    font-size: 30px;
    color: #6495ed;
    padding-top: 2vh;
    cursor: pointer;
    z-index:10;
}
#log:hover{
    transition: .8s ease-in-out;
    scale: 1.2; 
    color: #555;
}
.text{
   font-size: 13px; 
}
.robot h2{
    display: inline;
    color: transparent;
    text-transform: capitalize;
    background-image: linear-gradient(to left, #2ecc71, #3498db, #9b59b6, #f39c12);
    -webkit-background-clip: text;
    animation: animate 5s linear infinite;
    -webkit-background-size:500%;
    background-size: 500%;
}

.h2, .text{
display: inline;
color: transparent;
background-image: linear-gradient(to left, #2ecc71, #3498db, #9b59b6, #f39c12);
-webkit-background-clip: text;
animation: animate 5s linear infinite;
-webkit-background-size:500%;
background-size: 500%;
}
@keyframes animate{
0%{background-position: 0 100%;}
50%{background-position: 100% 0;}
100%{background-position: 0 100%;}
}
/* ----------------------------------------------- */
.mid{
    display: grid;
    justify-content: center;
    width: 85vw;
    place-self: center;
    padding-top: 6vh;
    padding-bottom: 10vh;
}
.settings{
    display: grid;
    align-items: center;
    place-items: center;
    gap: 5px;
}
.set{
    font-size: 30px;
    color: #6495ed;
    cursor: pointer;
    z-index:10;
}
.set:hover{
    transition: .8s ease-in-out;
    scale: 1.3;
    color: #6495ed;
    transform: rotate(-360deg);
}
.line{
    display: flex;
    gap: 10px;
}
.main{
    display: grid;
    justify-content: center;
    align-items: center;
    place-self: center;
}
.input{
    width: 40vw;
    height: 10vh;
    border-radius: 30px;
    font-size: 105%;
    place-self: center;
    align-items: center;
    justify-content: right;
    gap: 10vw;
    display: flex;
    padding-right: 3vw;
    border: 3px solid #6495ed;
    border-bottom: 0px;
}
.tab{
    width: 80vw;
    height: 40vh;
    place-self: center;
    padding:2px;
    align-items: center;
    justify-content: center;
    display: flex;
    border-radius: 30px;
    border: 3px solid #6495ed;
}
.crashy{
    display: flex;
    position: absolute;
    z-index: 1000;
    align-items: center;
    margin-top: 8vh;
    justify-content: center;
    cursor: default;
}
#boXy{
    z-index: 100;
    display: none;
    color: #6495ed;
    font-size: 180%;
    transform: translateY(-70px);
    animation: box .8s linear infinite;
    cursor: pointer;
}
@keyframes box {
    0%{
     transform: translateY(50px);
    }
    100%{
     transform: translateY(-70px);
    }
 }
.final{
    display: flex;
    place-self: center;
    align-items: center;
    padding-top: 10vh;
    padding-bottom: 1vh;
}
.design{
    display: flex;
    align-items: center;
    width: 35vw;
    height:5vh;
    place-self: center;
    border: 3px solid #6495ed;
    border-radius: 35px 0px 35px 0px;
    padding: 4px 9px 4px 9px;
    background: transparent;
}
.display{
    border: 3px double #6495ed;
    width: fit-content;
    transition: .8s ease;
    height: auto;
    padding: 2px 10px 2px 10px;
    align-items: center;
    justify-content: center;
    text-align: center;
    border-radius: 30px;
    display:none;
    z-index: 100;
}
#theme-toggle{
    font-size: 20px;
    color: #6495ed;
    place-self: center;
    cursor: pointer;
}

#theme-toggle:hover{
    transition: .8s ease-in-out;
    color: #6485ed;
    scale: 1.4;
    transform: rotate(360deg);
}
/* ------------------- ============================------------------------*/
.number{
    display: grid;
    align-items: center;
    justify-content: center;
    width: 80vw;
    place-self: center;
    text-align: center;
    height: 35vh;
    font-size:240%;
}
#rotor{
    color: #6495ed;
    scale: 1.4;
    transform: rotate(360deg);
    animation: spin .5s linear infinite;
}
@keyframes spin {
   0%{
    transform: rotate(0deg);
   }
   100%{
    transform: rotate(360deg);
   }
}
.number,.crashy{
    display: flex;
    color: transparent;
    background-image: linear-gradient(to left, #2ecc71, #3498db, #9b59b6, #f39c12);
    -webkit-background-clip: text;
    animation: animate 5s linear infinite;
    -webkit-background-size:500%;
    background-size: 500%;
    font-family: 'sans-serif', helvetica;
    }
    @keyframes animate{
    0%{background-position: 0 100%;}
    50%{background-position: 100% 0;}
    100%{background-position: 0 100%;}
    }
    /* ----------------------------------------------------------------------------- */
    #time{
        border: none;
        font-size: 200%;
        text-align: center;
        z-index:10;
        cursor: pointer;
        color: #fff;
        border-radius: 20px;
        background-image: linear-gradient(to left, #2ecc71, #3498db, #9b59b6, #f39c12);
        -webkit-background-clip: content-box;
        animation: animate 5s linear infinite;
        -webkit-background-size:500%;
        background-size: 500%;
        font-family: 'sans-serif', helvetica;
        outline: none;
        place-self: center;
        justify-content: center;
    }